Name:           python-pytest-lazy-fixtures
Version:        1.1.0
Release:        %mkrel 1
Summary:        Allows you to use fixtures in @pytest.mark.parametrize
Group:          Development/Python

License:        MIT
URL:            https://github.com/dev-petrov/pytest-lazy-fixtures
Source:         %{pypi_source pytest_lazy_fixtures}

BuildArch:      noarch
BuildRequires:  python3-devel

Obsoletes:      python-pytest-lazy-fixtures < 0.6.3-3
Obsoletes:      python3-pytest-lazy-fixtures < 0.6.3-3

%global _description %{expand:
Use your fixtures in @pytest.mark.parametrize.

This project was inspired by pytest-lazy-fixture.

Improvements that have been made in this project:
    You can use fixtures in any data structures
    You can access the attributes of fixtures
    You can use functions in fixtures}
# this package is used with prettytable
    
%description %_description

%package -n     python3-pytest-lazy-fixtures
Summary:        %{summary}

%description -n python3-pytest-lazy-fixtures %_description


%prep
%autosetup -p1 -n pytest_lazy_fixtures-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pytest_lazy_fixtures


%check
%pyproject_check_import


%files -n python3-pytest-lazy-fixtures -f %{pyproject_files}
%doc README.md
%license LICENSE


%changelog
* Sun Mar 02 2025 daviddavid <daviddavid> 1.1.0-1.mga10
+ Revision: 2156649
- new version: 1.1.0
- rebuild for python 3.13

* Sat Jul 13 2024 papoteur <papoteur> 1.0.7-1.mga10
+ Revision: 2080881
- imported package python-pytest-lazy-fixtures

